Bug 443776 - Kicker does not find KCMs
Summary: Kicker does not find KCMs
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Application Menu (Kicker) (show other bugs)
Version: master
Platform: Archlinux Linux
: VHI normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-10-15 11:11 UTC by Patrick Silva
Modified: 2021-10-19 18:20 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-10-15 11:11:28 UTC
SUMMARY
Kickoff finds KCMs, but Kicker does not.
Can reproduce on both Arch and neon unstable.

STEPS TO REPRODUCE
1. use Kicker as app menu
2. open Kicker and search for a KCM, let's say 'Mouse'
3. 

OBSERVED RESULT
nothing found

EXPECTED RESULT
Kicker finds KCMs

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.0
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Nate Graham 2021-10-15 16:41:51 UTC
IIRC Kicker has a hardcoded list of KRunner Runners that it used; maybe the KCM runner was mistakenly removed...?
Comment 2 Bug Janitor Service 2021-10-15 18:09:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/601
Comment 3 Alexander Lohnau 2021-10-17 04:24:08 UTC
Git commit 4eaa61cfd715db4721172e83e30523492beb1e91 by Alexander Lohnau.
Committed on 17/10/2021 at 04:23.
Pushed by alex into branch 'master'.

Add systemsettings runner to hardcoded list of allowed runners for kicker

The functionality was extracted from the services  runner to a separate plugin.

M  +1    -1    applets/kicker/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/4eaa61cfd715db4721172e83e30523492beb1e91
Comment 4 Alexander Lohnau 2021-10-17 04:25:10 UTC
Git commit ef588c632b260a907d9b74d9e7ae39745d1472a8 by Alexander Lohnau.
Committed on 17/10/2021 at 04:25.
Pushed by alex into branch 'Plasma/5.23'.

Add systemsettings runner to hardcoded list of allowed runners for kicker

The functionality was extracted from the services  runner to a separate plugin.


(cherry picked from commit 4eaa61cfd715db4721172e83e30523492beb1e91)

M  +1    -1    applets/kicker/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/ef588c632b260a907d9b74d9e7ae39745d1472a8